<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/String/StringUtils.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_3a483a83431ac924abcf278c839947d0.html">String</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">StringUtils.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_string_utils_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_STRING_STRINGUTILS_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_STRING_STRINGUTILS_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>utils {</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html">   25</a></span>&#160;<span class="keyword">namespace </span>string {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#aa54773055b57c6d6e0793819ccc47c75">stringToInt</a>(<span class="keyword">const</span> std::string&amp; str, <span class="keywordtype">int</span>* result);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#aa54773055b57c6d6e0793819ccc47c75">stringToInt</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>* str, <span class="keywordtype">int</span>* result);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a8d96285d85475e9d145a8e01311cf4a1">stringToInt64</a>(<span class="keyword">const</span> std::string&amp; str, int64_t* result);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a8d96285d85475e9d145a8e01311cf4a1">stringToInt64</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>* str, int64_t* result);</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a8e9905aba0bab1ca8d423ee2dda1e289">byteVectorToString</a>(<span class="keyword">const</span> std::vector&lt;uint8_t&gt;&amp; byteVector);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a01a26b31f8413cc8b4cf637f81014b17">stringToLowerCase</a>(<span class="keyword">const</span> std::string&amp; input);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#abcaf902f39fde3eb0e0f8ef0706a5e4d">stringToUpperCase</a>(<span class="keyword">const</span> std::string&amp; input);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a79f5ea6950b7df3df0154def1c4a5673">replaceAllSubstring</a>(<span class="keyword">const</span> std::string&amp; str, <span class="keyword">const</span> std::string&amp; from, <span class="keyword">const</span> std::string&amp; to);</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;}  <span class="comment">// namespace string</span></div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;}  <span class="comment">// namespace utils</span></div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_STRING_STRINGUTILS_H_</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string_html_a8e9905aba0bab1ca8d423ee2dda1e289"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a8e9905aba0bab1ca8d423ee2dda1e289">alexaClientSDK::avsCommon::utils::string::byteVectorToString</a></div><div class="ttdeci">std::string byteVectorToString(const std::vector&lt; uint8_t &gt; &amp;byteVector)</div><div class="ttdef"><b>Definition:</b> StringUtils.cpp:60</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string_html_a79f5ea6950b7df3df0154def1c4a5673"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a79f5ea6950b7df3df0154def1c4a5673">alexaClientSDK::avsCommon::utils::string::replaceAllSubstring</a></div><div class="ttdeci">std::string replaceAllSubstring(const std::string &amp;str, const std::string &amp;from, const std::string &amp;to)</div><div class="ttdef"><b>Definition:</b> StringUtils.cpp:130</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string_html_a01a26b31f8413cc8b4cf637f81014b17"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a01a26b31f8413cc8b4cf637f81014b17">alexaClientSDK::avsCommon::utils::string::stringToLowerCase</a></div><div class="ttdeci">std::string stringToLowerCase(const std::string &amp;input)</div><div class="ttdef"><b>Definition:</b> StringUtils.cpp:70</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string_html_abcaf902f39fde3eb0e0f8ef0706a5e4d"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#abcaf902f39fde3eb0e0f8ef0706a5e4d">alexaClientSDK::avsCommon::utils::string::stringToUpperCase</a></div><div class="ttdeci">std::string stringToUpperCase(const std::string &amp;input)</div><div class="ttdef"><b>Definition:</b> StringUtils.cpp:76</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string_html_a8d96285d85475e9d145a8e01311cf4a1"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a8d96285d85475e9d145a8e01311cf4a1">alexaClientSDK::avsCommon::utils::string::stringToInt64</a></div><div class="ttdeci">bool stringToInt64(const std::string &amp;str, int64_t *result)</div><div class="ttdef"><b>Definition:</b> StringUtils.cpp:82</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string_html_aa54773055b57c6d6e0793819ccc47c75"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#aa54773055b57c6d6e0793819ccc47c75">alexaClientSDK::avsCommon::utils::string::stringToInt</a></div><div class="ttdeci">bool stringToInt(const std::string &amp;str, int *result)</div><div class="ttdef"><b>Definition:</b> StringUtils.cpp:44</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
